#pragma once
#include <map>
struct M_ActivityCannonDrawCFGData
{
	//编号
	int mID;
	//奖励道具
	int mRewardItem;
	//奖励数量
	int mRewardCount;
	//大奖标记
	int mSign;
	//权重
	int mWeight;
};

class M_ActivityCannonDrawCFG
{
public:
private:
	static std::auto_ptr<M_ActivityCannonDrawCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityCannonDrawCFGData* GetData(int ID);
	const std::map<int, M_ActivityCannonDrawCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityCannonDrawCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityCannonDrawCFGData> mMapData;
};
